From 7048fd5ac8ba3640b45c9af7b508c213afabc30a Mon Sep 17 00:00:00 2001
From: Pyrit <maxp7784@gmail.com>
Date: Sat, 11 May 2013 19:06:05 +0200
Subject: [PATCH] Added SetGamma() to the time object, so that the whole game
 gets dark at night, not just the sky.

---
 planet/Objects.ocd/Environment.ocd/Time.ocd/Script.c | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/planet/Objects.ocd/Environment.ocd/Time.ocd/Script.c b/planet/Objects.ocd/Environment.ocd/Time.ocd/Script.c
index 4b7be79..6bcb8d7 100644
--- a/planet/Objects.ocd/Environment.ocd/Time.ocd/Script.c
+++ b/planet/Objects.ocd/Environment.ocd/Time.ocd/Script.c
@@ -259,6 +259,9 @@ private func DoSkyShade()
 	// Shade sky.
 	SetSkyAdjust(RGB(skyshade[0], skyshade[1], skyshade[2]));
 	
+	// Shade landscape.
+	SetGamma(0, RGB(BoundBy(36+skyshade[0]/2, 40, 128), BoundBy(77+skyshade[1]/2, 80, 128), BoundBy(77+skyshade[2]/2, 105, 128)), RGB(255,255, 255), 3);
+	
 	if(!day && !night)
 	{
 		// Adjust celestial objects.
-- 
1.8.1.msysgit.1

